---
updatedAt: 2026-07-10T17:11:53.000Z
---

# Put enhanced license information

Put licensing information for PMUL enhanced licensing available for PMUL v9.4.6 and higher.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "This API provides access to control BeyondTrust software for Endpoint Privilege Management Linux.",
    "title": "Endpoint Privilege Management Linux API",
    "version": "25.1.6"
  },
  "security": [
    {
      "nomine-authorizer": []
    }
  ],
  "paths": {
    "/api/pbul/{hostid}/enhancedlicense": {
      "put": {
        "description": "Put licensing information for PMUL enhanced licensing available for PMUL v9.4.6 and higher.",
        "tags": [
          "PMUL",
          "saas"
        ],
        "summary": "Put enhanced license information",
        "operationId": "enhancedLicensePut",
        "parameters": [
          {
            "x-go-name": "HostID",
            "description": "The Host ID to perform this operation on",
            "name": "hostid",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/LicenseV2Info"
              }
            }
          },
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/EmptyResponse"
          },
          "400": {
            "$ref": "#/components/responses/TextError"
          }
        },
        "x-amazon-apigateway-integration": {
          "type": "aws_proxy",
          "httpMethod": "POST",
          "uri": "${biulInvocationArn}"
        }
      }
    }
  },
  "components": {
    "responses": {
      "EmptyResponse": {
        "description": "EmptyResponse No response body is provided with this request"
      },
      "TextError": {
        "description": "TextError An unknown error occurred, details provided in body"
      }
    },
    "schemas": {
      "LicenseV2Info": {
        "description": "LicenseV2Info is an object that contains the many attributes that can be individually licensed",
        "type": "object",
        "properties": {
          "ACAClnts": {
            "type": "integer",
            "format": "int64"
          },
          "AKAClnts": {
            "type": "integer",
            "format": "int64"
          },
          "AutoRetire": {
            "type": "integer",
            "format": "int64"
          },
          "Comment": {
            "type": "string"
          },
          "Expires": {
            "type": "string"
          },
          "FIMClnts": {
            "type": "integer",
            "format": "int64"
          },
          "HMAC": {
            "type": "string"
          },
          "HostId": {
            "type": "string"
          },
          "Owner": {
            "type": "string"
          },
          "PBULPolClnts": {
            "type": "integer",
            "format": "int64"
          },
          "RBPClnts": {
            "type": "integer",
            "format": "int64"
          },
          "Recycle": {
            "type": "integer",
            "format": "int64"
          },
          "SOLRClnts": {
            "type": "integer",
            "format": "int64"
          },
          "SudoPolClnts": {
            "type": "integer",
            "format": "int64"
          },
          "Terminates": {
            "type": "string"
          }
        },
        "x-go-package": "pbsmc/remote/pbrest"
      }
    },
    "securitySchemes": {
      "nomine-authorizer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "x-amazon-apigateway-authtype": "custom",
        "x-amazon-apigateway-authorizer": {
          "type": "request",
          "authorizerUri": "${authorizerInvokeArn}",
          "authorizerResultTtlInSeconds": 300,
          "identitySource": "method.request.header.Authorization"
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.beyondtrust.io/site/{siteid}/epm/linux"
    }
  ],
  "x-readme": {}
}
```